当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : debian 5.0 安装 emacs23, debian 和ubuntu 都差不多了。
帖子发表于 : 2009-02-26 16:29 

注册: 2008-06-19 15:27
帖子: 167
送出感谢: 0 次
接收感谢: 0 次
今天刚装debian 5.0 ,用的是台湾的debian源。然后CVS 装emacs23。
---------------------------------------
1.安装环境。

sudo apt-get install build-essential
sudo apt-get install xserver-xorg-dev
sudo apt-get install xorg-dev
sudo apt-get install libncurses5
sudo apt-get install libncurses5-dev
sudo apt-get install libxpm-dev libgif-dev libtiff-dev
sudo apt-get install libgtk2.0-dev


2.cvs emacs 23包。
(1) cd ~
(2)set CVS RSH=”ssh”
(3)cvs -z3 -d:pserver:anonymous@cvs.savannah.gnu.org:/sources/emacs co emacs
(4)configure出错 ,换个CVS地址再更新一次:
cvs -z3 -d:pserver:anonymous@cvs.sv.gnu.org:/sources/emacs co emacs

3.建立目录:/usr/local/emacs23, 将emacs装到这里。
sudo mkdir /usr/local/emacs23

4.开始编译。
cd ~/emacs

./configure --prefix=/usr/local/emacs23 --enable-font-backend --with-xft --with-freetype --with-x-toolkit=gtk

--------------------------------
参数解释:
--prefix=/usr/local/emacs23 指定emacs安装在/usr/local/emacs23
--enable-font-backend 让emacs支持雅黑字体
--with-freetype 支持freetype字体
--with-x-toolkit=gtk 指定环境为gtk
---------------------------------

可能会提示下面的内容:
******************************************************************
* *
* The Emacs "emacs-unicode-2" branch has been merged into *
* the CVS trunk, and is now obsolete. You should probably *
* use the CVS trunk instead. *
* *
* To switch a CVS checkout to the trunk, use the command: *
* *
* cvs update -A *
* *
******************************************************************

原因是最近emacs-unicode-2已经移到trunk下了。按照提示,执行命令

cvs update -A

更新完成后,重新编译:

./configure --prefix=/usr/local/emacs23 --enable-font-backend --with-xft --with-freetype --with-x-toolkit=gtk


没有错误则继续:
如果是第一次编译从 cvs Repository 中 check out 来的代码,则

make bootstrap
make info
在src目录下会生成emacs程序,试运行一下 src/emacs -q,成功,然后
make install
make clean

5.给PATH添加路径

cd /usr/local/bin
ln -s /usr/local/emacs23/bin/* ./



6.

终端下输入emacs 就可以启动emacs了。

---------------

放个截图:emacs里用shell,好多乱七八糟的符号啊怎么解决???
图片


最后由 codycody23 编辑于 2009-02-26 21:59,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: debian 5.0 安装 emacs23, debian 和ubuntu 都差不多了。
帖子发表于 : 2009-02-26 16:47 

注册: 2008-06-19 15:27
帖子: 167
送出感谢: 0 次
接收感谢: 0 次
emacs里用shell,好多乱七八糟的符号啊怎么解决???


页首
 用户资料  
 
3 楼 
 文章标题 : Re: debian 5.0 安装 emacs23, debian 和ubuntu 都差不多了。
帖子发表于 : 2009-02-27 2:36 

注册: 2006-10-06 21:10
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
(ansi-color-for-comint-mode-on)

放在 ~/.emacs 文件里面。
这个问题貌似有很多人问过……


页首
 用户资料  
 
4 楼 
 文章标题 : Re: debian 5.0 安装 emacs23, debian 和ubuntu 都差不多了。
帖子发表于 : 2009-02-28 10:50 

注册: 2008-06-19 15:27
帖子: 167
送出感谢: 0 次
接收感谢: 0 次
forcotton 写道:
(ansi-color-for-comint-mode-on)

放在 ~/.emacs 文件里面。
这个问题貌似有很多人问过……

:em11


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译